package bz.bronze.painter;

public class Tick implements Runnable {
	public Thread refresh = new Thread(this);
	
	public Tick()
	{
		refresh.start();
	}
	
	public void run() {
		while(Painter.isRunning)
		{
			Window.opacitySliderLabel.setText("Opacity: " + Window.opacitySlider.getValue());
			Window.sizeSliderLabel.setText("Size: " + Window.sizeSlider.getValue());
			
			Context.drawBorders(Window.paintArea.getGraphics());
			
			if(Input.mouseIsDown)
			{
				try
				{
					Context.draw(Window.paintArea.getMousePosition().x, Window.paintArea.getMousePosition().y);
				} catch (Exception e)
				{
					Log.print("[ERROR] Mouse out of bounds!");
				}
				
				Context.swapBuffers();
				//Window.paintArea.repaint();
			}
		}
	}
}